api reference
GET
/v1/numbers/options

Query Parameters

country_code*Country Code

ISO alpha-2 country code, such as CH.

Match^[A-Za-z]{2}$
Length2 <= length <= 2
sms_only?Sms Only

True: only count options that can send and receive SMS.

Defaultfalse

Header Parameters

authorization?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/numbers/options?country_code=st"
{  "country_code": "string",  "needs_paperwork": true,  "types": [    {      "number_type": "string",      "for": {        "property1": {          "allowed": true,          "reason": "company_only",          "how": "buy",          "monthly_cents": 0,          "setup_cents": 0,          "capabilities": [            "voice"          ],          "paperwork": [            {              "key": "string",              "label": "string"            }          ],          "paperwork_known": true,          "status": "ready",          "verification": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "subject_type": "person",            "subject_name": "string",            "state": "string"          },          "more_options": 0        },        "property2": {          "allowed": true,          "reason": "company_only",          "how": "buy",          "monthly_cents": 0,          "setup_cents": 0,          "capabilities": [            "voice"          ],          "paperwork": [            {              "key": "string",              "label": "string"            }          ],          "paperwork_known": true,          "status": "ready",          "verification": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "subject_type": "person",            "subject_name": "string",            "state": "string"          },          "more_options": 0        }      }    }  ]}